> ## Documentation Index
> Fetch the complete documentation index at: https://docs.usequanta.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Upload Bank Transactions



## OpenAPI

````yaml https://app.usequanta.com/openapi/quanta-services-api/openapi.json post /admin_api/manual_task/upload_bank_transactions
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers:
  - url: https://app.usequanta.com
    description: Production
security:
  - HTTPBearer: []
paths:
  /admin_api/manual_task/upload_bank_transactions:
    post:
      tags:
        - admin_manual_tasks
        - quanta-services-api
      summary: Upload Bank Transactions
      operationId: upload_bank_transactions
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UploadBankTransactionsRequest'
        required: true
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UploadBankTransactionsResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    UploadBankTransactionsRequest:
      properties:
        account_qid:
          type: string
          title: Account Qid
        transactions:
          items:
            $ref: '#/components/schemas/UploadBankTransactionRow'
          type: array
          maxItems: 500
          minItems: 1
          title: Transactions
        reason:
          anyOf:
            - type: string
            - type: 'null'
          title: Reason
        reason_type:
          anyOf:
            - type: string
            - type: 'null'
          title: Reason Type
      type: object
      required:
        - account_qid
        - transactions
      title: UploadBankTransactionsRequest
    UploadBankTransactionsResponse:
      properties:
        upload_qid:
          type: string
          title: Upload Qid
        created_count:
          type: integer
          title: Created Count
        created_qids:
          items:
            type: string
          type: array
          title: Created Qids
      type: object
      required:
        - upload_qid
        - created_count
        - created_qids
      title: UploadBankTransactionsResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    UploadBankTransactionRow:
      properties:
        date:
          type: string
          format: date
          title: Date
        amount:
          type: string
          title: Amount
        description:
          type: string
          title: Description
      type: object
      required:
        - date
        - amount
        - description
      title: UploadBankTransactionRow
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: >-
        Quanta Services API scoped bearer token. Supported only on Services API
        routes.

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.